Bug 12220 - Installation of Red Hat 6.1/6.2 fails when using the Mylex DAC960PRL PCI controller on Alphaservers.
Installation of Red Hat 6.1/6.2 fails when using the Mylex DAC960PRL PCI cont...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
alpha Linux
high Severity medium
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-13 15:41 EDT by norberto.collado@compaq.com
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-02 15:04:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description norberto.collado@compaq.com 2000-06-13 15:41:38 EDT
Hi!

I encountered an error while trying to install RH6.1/6.2 on devices
connected to the Mylex DAC960PRL PCI RAID Controller.  The error happens 
after performing the "post install configuration..." I think it is failing 
in the process of performing the swriteboot to the device 
name /dev/rd/c0d0p2.  Also
aboot.conf never gets created.  If I use RH6.0 it works fine, because it
doesnt do the swriteboot.  Also if I update from RH6.0 to RH6.1 or
RH6.2, the update also fails with same error message.  During an update no
need to do the swriteboot.
------------------------------------------------------
System device Configuration:

COMPAQ AlphaServer DS10 466 MHz Console V5.7-8, Apr 12 2000 11:20:07
>>>>>>show dev
dqa0.0.0.13.0              DQA0                COMPAQ CDR-8435  0013    
dra0.0.0.115.0             DRA0                3 Member RAID 5  
dva0.0.0.0.0               DVA0                               
ewa0.0.0.9.0               EWA0              08-00-2B-86-75-9C
ewb0.0.0.11.0              EWB0              08-00-2B-86-75-9F
pka0.7.0.17.0              PKA0                  SCSI Bus ID 7  5.57

-----------------------------------------------------
DAC960PRL PCI RAID Controller Setup:

DAC960: ***** DAC960 RAID Driver Version 2.2.5 of 23 January 2000 *****
DAC960: Copyright 1998-2000 by Leonard N. Zubkoff <lnz@dandelion.com>
DAC960#0: Configuring Mylex DAC960PRL PCI RAID Controller
DAC960#0:   Firmware Version: 4.07-0-29, Channels: 1, Memory Size: 4MB
DAC960#0:   PCI Bus: 0, Device: 15, Function: 1, I/O Address: Unassigned
DAC960#0:   PCI Address: 0xA800000 mapped at 0xA800000, IRQ Channel: 39
DAC960#0:   Controller Queue Depth: 124, Maximum Blocks per Command: 128
DAC960#0:   Driver Queue Depth: 123, Maximum Scatter/Gather Segments: 33
DAC960#0:   Stripe Size: 64KB, Segment Size: 8KB, BIOS Geometry: 128/32
DAC960#0:   Physical Devices:
DAC960#0:     0:0  Vendor: DEC       Model: RZ1DF-CB (C) DEC  Revision: 
0372
DAC960#0:          Serial Number:       680101914A
DAC960#0:          Disk Status: Online, 17772544 blocks
DAC960#0:     0:1  Vendor: SEAGATE   Model: ST34501W          Revision: 
7B00
DAC960#0:          Serial Number: LG517138
DAC960#0:          Disk Status: Online, 8386560 blocks
DAC960#0:     0:2  Vendor: SEAGATE   Model: ST34501W          Revision: 
7B00
DAC960#0:          Serial Number: LG235961
DAC960#0:          Disk Status: Online, 8386560 blocks
DAC960#0:   Logical Drives:
DAC960#0:     /dev/rd/c0d0: RAID-5, Online, 16773120 blocks, Write Thru

------------------------------------------------------------
Partitions:

Red Hat Linux (C) 2000 Red Hat, Inc.                                   
Partition
Mount Point          Device     Requested   Actual         Type 
                   rd/c0d0p1     1000M     1002M      Linux swap 
 /                 rd/c0d0p2      1M       7186M      Linux native

--------------------------------------------------------------
Error Message:

File "/usr/lib/anaconda/milo.py",                    
line 146, in write 
self.writeAboot ()   
File "/usr/lib/anaconda/milo.py", 
line 61, in writeAboot                                
partition = partitionNum                          
(bootDevice)                    
File "/usr/lib/anaconda/milo.py",                   
line 27, in partitionNum                              
return string.atoi (path[i:])                   
ValueError: invalid literal for                       
atoi(): 0d0p2 

                              
install exited abnormally 
sending termination signals...done
sending kill signals...done
disabling swap...
/tmp/swap/rd/c0d0p1
unmounting filesystems...
/mnt/sysimage/proc
/mnt/sysimage/
/dev/pts
/proc
/tmp
you may safely reboot your system

-----------------------------------------------------------
Thanks,

Norberto Collado
Compaq Computer Corporation
200 Forest Street
MRO1-1/P18
Marlboro, MA 01752-3011
Email: norberto.collado@compaq.com
Comment 1 Matt Wilson 2002-02-06 15:17:43 EST
Fixed in RHL 7.1/Alpha

Note You need to log in before you can comment on or make changes to this bug.